OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

CYapfShipNodeT< Tkey_ > Struct Template Reference

Yapf Node for ships. More...

`#include <yapf_node_ship.hpp>`

Inheritance diagram for CYapfShipNodeT< Tkey_ >:

## Additional Inherited Members
Public Types inherited from CYapfNodeT< Tkey_, CYapfShipNodeT< Tkey_ > >
typedef Tkey_ | Key
typedef CYapfShipNodeT< Tkey_ > | Node
Public Member Functions inherited from CYapfNodeT< Tkey_, CYapfShipNodeT< Tkey_ > >
void | Set (Node *parent, TileIndex tile, Trackdir td, bool is_choice)
Node * | GetHashNext ()
void | SetHashNext (Node *pNext)
TileIndex | GetTile () const
Trackdir | GetTrackdir () const
const Tkey_ & | GetKey () const
int | GetCost () const
int | GetCostEstimate () const
bool | operator< (const Node &other) const
void | Dump (DumpTarget &dmp) const
Data Fields inherited from CYapfNodeT< Tkey_, CYapfShipNodeT< Tkey_ > >
Tkey_ | m_key
Node * | m_hash_next
Node * | m_parent
int | m_cost
int | m_estimate

## Detailed Description

### template<class Tkey_>
struct CYapfShipNodeT< Tkey_ >

Yapf Node for ships.

Definition at line 17 of file yapf_node_ship.hpp.

The documentation for this struct was generated from the following file:

- src/pathfinder/yapf/yapf_node_ship.hpp